Subject: bug#15787: Standardize license notice?

From: Xue Fuqiao <[email-masked]>
Date: Sat, 2 Nov 2013 16:13:43 +0800

On Sat, Nov 2, 2013 at 4:08 PM, Eli Zaretskii <[email-masked]> wrote:
>> On Sat, Nov 2, 2013 at 3:30 PM, Eli Zaretskii <[email-masked]> wrote:
>> >> In some files, the license notice starts as:
>> >>
>> >>    This program is free software: you can redistribute it and/or
>> >>    [...]
>> >>
>> >> but in some other files, the license notice starts as:
>> >>
>> >>     GNU Emacs is free software: you can redistribute it and/or modify
>> >>     [...]
>> >
>> > The files that use the former language are files we get from other
>> > projects and distributions, such as gmulib.  Making these changes in
>> > them would just mean more merge conflicts for no good reason.
>> >
>> > So please don't do this.
>>
>> I don't think so.  What about regex.{h, c}?
>
> gnulib
>
>> termcap.c?  tparam.c?
>
> From GNU termcap, AFAIK.
>
>> Many tests in test/automated?
>
> You will need to talk to their authors: some of thse might come from
> external repositories.
>
>> gnus-icalendar.el?
>
> Gnus is developed in a separate repository that is from time to time
> synced with Emacs.  If you want to change their copyright notices,
> talk to them.

Ah, I see, thank you.  (And sorry for being incorrect.)

>> and so on...
>
> Please present an exhaustive list, it is impossible to argue about "so
> on".
>
> In any case, the bulk of the files in this category are from outside
> Emacs.  So even if we change a few of them, the majority should not be
> modified.

I'll look into it.

-- 
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/